This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 705181 - group, portlet or report alert history view may not display data
group, portlet or report alert history view may not display data
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.1
All All
high Severity high (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: jon3
  Show dependency treegraph
 
Reported: 2011-05-16 17:19 EDT by Jay Shaughnessy
Modified: 2013-09-02 03:20 EDT (History)
1 user (show)

See Also:
Fixed In Version: 4.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:20:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2011-05-16 17:19:44 EDT
This problem may reveal itself with alert history not showing up without a refresh or possibly with ancestry hover generating an exception.
Comment 1 Jay Shaughnessy 2011-05-16 19:02:37 EDT
commit 058a82ad8f3f1c6d39ce6691428838c70c9dacb2

Test Notes:
make sure you have some alert history for various resources, at least one in a group.  

Try Global dash recent alerts
Try resource dash recent alerts
Try resource alert history tab
Try group dash recent alerts
Try group alert history tab

Try hover on ancestry fields quickly after rendering of the rows.
Make sure refresh is not required to see the initial list of rows.
make sure portlet config is honored.
Comment 2 Mike Foley 2011-06-13 16:10:48 EDT
i am actually seeing the original behavior.  i create an alert that fires very frequently (on the platform resource, if free memory > 0).  i observe that history does not display any alerts.  if i click 'refresh', then the fired alerts appear.  this would seem to be the original behavior.  will discuss with jshaughn.
Comment 3 Mike Foley 2011-06-13 16:13:07 EDT
jshaughn, can you clarify?
Comment 4 Mike Foley 2011-06-13 16:38:03 EDT
clarification: if you are sitting on alerts-->history ...you DO need to click refresh (as I observed and documented above).  this issue is specifically if you navigate to alerts-->history that you don't additionally need to click refresh.  this behavior i am seeing.  assigning back to on_qa to verify the various scenarios described in comment 1
Comment 5 Heiko W. Rupp 2013-09-02 03:20:15 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.